Eclipse和Google App Engine:ImportError:没有名为_sysconfigdata_nd的模块; 无法识别的参数:--high_replication?

内容来源于 Stack Overflow,并遵循CC BY-SA 3.0许可协议进行翻译与使用

  • 回答 (2)
  • 关注 (0)
  • 查看 (57)

刚刚升级到Ubuntu13.04,Eclipse给了以下两个错误:

1. ImportError: No module named _sysconfigdata_nd

ERROR    2013-03-25 07:26:43,559 http_runtime.py:221] unexpected port response from runtime ['']; exiting the development server
ERROR    2013-03-25 07:26:43,561 server.py:576] Request to '/_ah/warmup' failed

2. dev_appserver.py: error: unrecognized arguments: --high_replication

提问于
用户回答回答于

可以创建一个软件链接作为解决办法:

sudo ln -s /usr/lib/python2.7/plat-*/_sysconfigdata_nd.py /usr/lib/python2.7/
用户回答回答于

virtualenv可以使用以下命令:

sudo pip install --upgrade virtualenv

扫码关注云+社区